This notebook is intended to provide a simple scoring option for formative evaluation of models in the 2022 TREC CrisisFACTs Track.  It is far from comprehensive, and the provided facts may not perfectly align with those of the organizers.  However, it may be useful as an initial stepping stone toward more in-depth analysis.

Only 11 queries are addressed in this file, and they only cover the Lilac fire (event id: CrisisFACTS-001).  These particular queries were selected because they had easily accessible and identifiable answers.  It is important to keep in mind that they are therefore not representative of the queries as a whole.

The identified facts are contained within a nested dictionary.  The outer level uses the query_id as a key, and its value is a dictionary containing the request ID (key) and a regex describing the associated answer for that query and request combination (value).  This approach allows easy selection of subsets of the queries if you do not wish to use all of those provided.

The scoring function attempts to match the regex from the dictionary above with newline separated top k fact texts from your model (similar to the summary produced in the track baseline).  Each fully answered query (i.e. all elements were matched) will provide one point.  Queries with multiple answers (ex. where are shelters located) will provide 1/n points, where n is the number of distinct elements in the answer.  The provided regexes are far from perfect, as are the answers as a whole, so a manual review of the results is strongly encouraged.  This notebook is only intended for an initial cursory review.
